## desmume 0.9.11

=== debian/changelog ===
desmume (0.9.11-7build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:44:08 +1100

desmume (0.9.11-7build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:12:58 +0000

desmume (0.9.11-7) unstable; urgency=medium

  * Team upload
  * Drop GTK build (Closes: #967309)
  * Drop old NEWS
  * Update debhelper-compat to 10

 -- Bastian Germann <bage@debian.org>  Thu, 19 Oct 2023 19:17:51 +0200

desmume (0.9.11-6) unstable; urgency=medium

  * Team upload
  * Drop glade GUI (Closes: #967858)
  * Drop old menu file

 -- Bastian Germann <bage@debian.org>  Sat, 14 Oct 2023 17:32:56 +0200

desmume (0.9.11-5) unstable; urgency=medium

  * Team upload
  * Remove retired Uploader (Closes: #876903)
  * Build using libagg2-dev (Closes: #920921)
  * Set Priority: optional

 -- Bastian Germann <bage@debian.org>  Tue, 19 Sep 2023 22:53:34 +0000

desmume (0.9.11-4.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Chris Lamb ]
  * make the build reproducible (Closes: #890312)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Thu, 01 Dec 2022 10:44:49 -0800

desmume (0.9.11-4) unstable; urgency=medium

  * Team upload
  * Convert to 3.0 source format (Closes: #1007443)
  * Drop outdated Vcs fields

 -- Bastian Germann <bage@debian.org>  Wed, 23 Nov 2022 23:40:49 +0100

desmume (0.9.11-3) unstable; urgency=medium

  * Import upstream patch to fix FTBFS with GCC7
    Closes: #853372

 -- Evgeni Golov <evgeni@debian.org>  Sun, 22 Oct 2017 11:23:03 +0200

desmume (0.9.11-2) unstable; urgency=medium

  * Import upstream patch to fix FTBFS with GCC6
    Closes: #811691

 -- Evgeni Golov <evgeni@debian.org>  Sat, 12 Nov 2016 11:22:03 +0100

desmume (0.9.11-1) unstable; urgency=medium

  * New upstream release.
    + Does not segfault in IA__gdk_cairo_create anymore.
      Closes: #801833
  * Update d/copyright.
  * Standards-Version: 3.9.6
  * Use dh-autoreconf

 -- Evgeni Golov <evgeni@debian.org>  Sun, 01 Nov 2015 21:41:17 +0100

desmume (0.9.10-2) unstable; urgency=medium

  * Fix FTBFS on *BSD due to sysctl() not taking const parameters.
    Patch from upstream SVN trunk.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 23 Mar 2014 14:24:31 +0100

desmume (0.9.10-1) unstable; urgency=low

  * New upstream release.
  * Refresh 01_use_system_tinyxml.patch against 0.9.10.
  * Correct Vcs-* URLs to point to anonscm.debian.org
  * Standards-Version: 3.9.5
  * add keywords to desktop files, thanks lintian

 -- Evgeni Golov <evgeni@debian.org>  Sun, 23 Mar 2014 12:49:09 +0100

desmume (0.9.9-1) unstable; urgency=low

  * New upstream release.
  * Refresh 01_use_system_tinyxml.patch against 0.9.9.
  * Add libsoundtouch-dev to Build-Depends.
  * Use dh tiny rules and compat 9.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 05 May 2013 21:14:45 +0200

desmume (0.9.8-1) unstable; urgency=low

  * New upstream release.
  * Thanks Peter Green for the NMU!
  * Drop patches, applied upstream:
    + 01_fix_mode_t_on_kfreebsd.patch
    + 02_add_gzFile_casts.patch
  * Add libgtkglext1-dev to Build-Depends
  * Drop README.TRANSLATION from debian/docs, it was droped upstream.
  * Update debian/copyright
  * Add 01_use_system_tinyxml.patch to link against the system tinyxml.
    + Also add libtinyxml-dev to Build-Depends
  * Update debian/copyright for latest format spec
  * Standards-Version: 3.9.3
  * Add build-arch and build-indep targets.

 -- Evgeni Golov <evgeni@debian.org>  Tue, 01 May 2012 15:11:28 +0200

desmume (0.9.7-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/02_add_gzFile_casts.patch:
    Add some casts for compatibility with current zlib (Closes: #664914)

 -- Peter Michael Green <plugwash@p10link.net>  Wed, 04 Apr 2012 22:09:07 +0000

desmume (0.9.7-2) unstable; urgency=low

  * Add 01_fix_mode_t_on_kfreebsd.patch to fix FTBFS on kfreebsd-*.
    Closes: #618778

 -- Evgeni Golov <evgeni@debian.org>  Thu, 24 Mar 2011 15:33:12 +0100

desmume (0.9.7-1) unstable; urgency=low

  * New upstream release.
    Closes: #613365
  * Update debian/copyright to DEP5.
  * Standards-Version: 3.9.1.
  * Add BSD license to debian/copyright.

 -- Evgeni Golov <evgeni@debian.org>  Thu, 17 Mar 2011 23:48:38 +0100

desmume (0.9.6-1-1) unstable; urgency=low

  * New upstream release.
    + Adding --gbaslot-rom= workaround for embedded file system.
      LP: #575234
  * Remove 01_fix_sz_FTBFS_564788.patch, included upstream.
  * Standards-Version: 3.8.4
  * Add debian/NEWS about the new config file location.
  * Add debian/source/format, we're still 1.0.

 -- Evgeni Golov <evgeni@debian.org>  Tue, 25 May 2010 15:55:23 +0200

desmume (0.9.5-2) unstable; urgency=low

  * debian/patches:
    + Add 01_fix_sz_FTBFS_564788.patch to fix FTBFS.
      Closes: #564788

 -- Evgeni Golov <evgeni@debian.org>  Tue, 19 Jan 2010 17:20:29 +0100

desmume (0.9.5-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
    + Update my e-mail address and copyright years.
  * debian/control:
    + Add libagg-dev B-D.
  * debian/patches:
    + Drop all patches, either applied or superseded by upstream.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 03 Jan 2010 20:30:35 +0100

desmume (0.9.4-2) unstable; urgency=low

  [ Miriam Ruiz ]
  * Added patch 02_build-with-gcc-4.4.patch. Closes: #539545

  [ Devid Antonio Filoni ]
  * Add 03_build-on-hurd.patch patch, fix FTBFS on hurd-i386, patch taken from
    upstream SVN revision 2754.

  [ Evgeni Golov ]
  * Standards-Version: 3.8.3, no changes needed.

 -- Evgeni Golov <evgeni@debian.org>  Tue, 01 Sep 2009 17:09:34 +0200

desmume (0.9.4-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
    + Fix typo in Guillaume's mail address.
  * debian/control:
    + Standards-Version: 3.8.2
  * debian/pacthes/02_manpage-fixes.patch:
    + Drop the patch, was applied upstream.



=== debian/control ===
Source: desmume
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Evgeni Golov <evgeni@debian.org>
Build-Depends: debhelper-compat (= 10), libglib2.0-dev, libsdl1.2-dev,
 libosmesa6-dev, libagg2-dev, intltool, libtinyxml-dev,
 libsoundtouch-dev
Standards-Version: 3.9.6
Homepage: http://desmume.org/

Package: desmume
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Nintendo DS emulator
 DeSmuME is a Nintendo DS emulator running homebrew demos and commercial games.
 .
 This package includes only the command line user interface desmume-cli.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,-z,defs -Wl,--as-needed
#export LDFLAGS

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --bindir=/usr/games --datadir=/usr/share/games \
			--enable-gdb-stub \
			--enable-osmesa

=== debian/watch ===
version=3
http://sf.net/desmume/desmume-([\d\.-]*)\.tar\.gz

## desmume 0.9.13

=== tools/ds_tests/matrixStack/Makefile ===
#---------------------------------------------------------------------------------
.SUFFIXES:
#---------------------------------------------------------------------------------

ifeq ($(strip $(DEVKITARM)),)
$(error "Please set DEVKITARM in your environment. export DEVKITARM=<path to>devkitARM")
endif

include $(DEVKITARM)/ds_rules

#---------------------------------------------------------------------------------
# TARGET is the name of the output
# BUILD is the directory where object files & intermediate files will be placed
# SOURCES is a list of directories containing source code
# INCLUDES is a list of directories containing extra header files
#---------------------------------------------------------------------------------
TARGET		:=	$(shell basename $(CURDIR))
BUILD		:=	build
SOURCES		:=	source
DATA		:=	data  
INCLUDES	:=	include

#---------------------------------------------------------------------------------
# options for code generation
#---------------------------------------------------------------------------------
ARCH	:=	-mthumb -mthumb-interwork

CFLAGS	:=	-g -Wall -O2\
			-march=armv5te -mtune=arm946e-s \
			-ffast-math \
			$(ARCH)

CFLAGS	+=	$(INCLUDE) -DARM9
CXXFLAGS	:= $(CFLAGS)

ASFLAGS	:=	-g $(ARCH) -march=armv5te -mtune=arm946e-s
LDFLAGS	=	-specs=ds_arm9.specs -g $(ARCH) -Wl,-Map,$(notdir $*.map)

#---------------------------------------------------------------------------------
# any extra libraries we wish to link with the project
#---------------------------------------------------------------------------------
LIBS	:= -lfat -lnds9
 
 
#---------------------------------------------------------------------------------
# list of directories containing libraries, this must be the top level containing
# include and lib
#---------------------------------------------------------------------------------
LIBDIRS	:=	$(LIBNDS)
 
#---------------------------------------------------------------------------------
# no real need to edit anything past this point unless you need to add additional
# rules for different file extensions
#---------------------------------------------------------------------------------
ifneq ($(BUILD),$(notdir $(CURDIR)))
#---------------------------------------------------------------------------------
 
export OUTPUT	:=	$(CURDIR)/$(TARGET)
 
export VPATH	:=	$(foreach dir,$(SOURCES),$(CURDIR)/$(dir)) \
					$(foreach dir,$(DATA),$(CURDIR)/$(dir))

export DEPSDIR	:=	$(CURDIR)/$(BUILD)

CFILES		:=	$(foreach dir,$(SOURCES),$(notdir $(wildcard $(dir)/*.c)))
CPPFILES	:=	$(foreach dir,$(SOURCES),$(notdir $(wildcard $(dir)/*.cpp)))
SFILES		:=	$(foreach dir,$(SOURCES),$(notdir $(wildcard $(dir)/*.s)))
BINFILES	:=	$(foreach dir,$(DATA),$(notdir $(wildcard $(dir)/*.*)))
 
#---------------------------------------------------------------------------------
# use CXX for linking C++ projects, CC for standard C
#---------------------------------------------------------------------------------
ifeq ($(strip $(CPPFILES)),)
#---------------------------------------------------------------------------------
	export LD	:=	$(CC)
#---------------------------------------------------------------------------------
else
#---------------------------------------------------------------------------------
	export LD	:=	$(CXX)
#---------------------------------------------------------------------------------
endif
#---------------------------------------------------------------------------------

export OFILES	:=	$(addsuffix .o,$(BINFILES)) \
					$(CPPFILES:.cpp=.o) $(CFILES:.c=.o) $(SFILES:.s=.o)
 
export INCLUDE	:=	$(foreach dir,$(INCLUDES),-I$(CURDIR)/$(dir)) \
					$(foreach dir,$(LIBDIRS),-I$(dir)/include) \
					$(foreach dir,$(LIBDIRS),-I$(dir)/include) \
					-I$(CURDIR)/$(BUILD)
 
export LIBPATHS	:=	$(foreach dir,$(LIBDIRS),-L$(dir)/lib)
 
.PHONY: $(BUILD) clean
 
#---------------------------------------------------------------------------------
$(BUILD):
	@[ -d $@ ] || mkdir -p $@
	@make --no-print-directory -C $(BUILD) -f $(CURDIR)/Makefile
 
#---------------------------------------------------------------------------------
clean:
	@echo clean ...
	@rm -fr $(BUILD) $(TARGET).elf $(TARGET).nds $(TARGET).arm9
 
 
#---------------------------------------------------------------------------------
else
 
DEPENDS	:=	$(OFILES:.o=.d)
 
#---------------------------------------------------------------------------------
# main targets
#---------------------------------------------------------------------------------
$(OUTPUT).nds	: 	$(OUTPUT).arm9
$(OUTPUT).arm9	:	$(OUTPUT).elf
$(OUTPUT).elf	:	$(OFILES)
 
#---------------------------------------------------------------------------------
%.bin.o	:	%.bin
#---------------------------------------------------------------------------------
	@echo $(notdir $<)
	@$(bin2o)
 
 
-include $(DEPENDS)
 
#---------------------------------------------------------------------------------------
endif
#---------------------------------------------------------------------------------------

=== tools/ds_tests/regs/Makefile ===
#---------------------------------------------------------------------------------
.SUFFIXES:
#---------------------------------------------------------------------------------
ifeq ($(strip $(DEVKITARM)),)
$(error "Please set DEVKITARM in your environment. export DEVKITARM=<path to>devkitARM")
endif

include $(DEVKITARM)/ds_rules

export TARGET		:=	$(shell basename $(CURDIR))
export TOPDIR		:=	$(CURDIR)


.PHONY: $(TARGET).arm7 $(TARGET).arm9

#---------------------------------------------------------------------------------
# main targets
#---------------------------------------------------------------------------------
all: $(TARGET).nds

#---------------------------------------------------------------------------------
$(TARGET).nds	:	$(TARGET).arm7 $(TARGET).arm9
	ndstool	-c $(TARGET).nds -7 $(TARGET).arm7 -9 $(TARGET).arm9

#---------------------------------------------------------------------------------
$(TARGET).arm7	: arm7/$(TARGET).elf
$(TARGET).arm9	: arm9/$(TARGET).elf

#---------------------------------------------------------------------------------
arm7/$(TARGET).elf:
	$(MAKE) -C arm7
	
#---------------------------------------------------------------------------------
arm9/$(TARGET).elf:
	$(MAKE) -C arm9

#---------------------------------------------------------------------------------
clean:
	$(MAKE) -C arm9 clean
	$(MAKE) -C arm7 clean
	rm -f $(TARGET).nds $(TARGET).arm7 $(TARGET).arm9

=== tools/ds_tests/twltouch/Makefile ===
#---------------------------------------------------------------------------------
.SUFFIXES:
#---------------------------------------------------------------------------------
ifeq ($(strip $(DEVKITARM)),)
$(error "Please set DEVKITARM in your environment. export DEVKITARM=<path to>devkitARM")
endif

include $(DEVKITARM)/ds_rules

export TARGET		:=	$(shell basename $(CURDIR))
export TOPDIR		:=	$(CURDIR)

PARAMS	:=	 
ifeq ($(USETWLSDMMC),1)
PARAMS	+=	USETWLSDMMC=1
endif

.PHONY: arm7/$(TARGET).elf arm9/$(TARGET).elf

#---------------------------------------------------------------------------------
# main targets
#---------------------------------------------------------------------------------
all: $(TARGET).nds

#---------------------------------------------------------------------------------
$(TARGET).nds	:	arm7/$(TARGET).elf arm9/$(TARGET).elf
	ndstool	-c $(TARGET).nds -7 arm7/$(TARGET).elf -9 arm9/$(TARGET).elf

#---------------------------------------------------------------------------------
arm7/$(TARGET).elf:
	$(MAKE) -C arm7 $(PARAMS)
	
#---------------------------------------------------------------------------------
arm9/$(TARGET).elf:
	$(MAKE) -C arm9 $(PARAMS)

#---------------------------------------------------------------------------------
clean:
	$(MAKE) -C arm9 clean
	$(MAKE) -C arm7 clean
	rm -f $(TARGET).nds $(TARGET).arm7 $(TARGET).arm9

=== desmume/src/frontend/interface/meson_options.txt ===
option('openal',
  type: 'boolean',
  value: false,
  description: 'Enable experimental OpenAL microphone input',
)
option('frontend-gtk',
  type: 'boolean',
  value: true,
  description: 'Enable GTK frontend',
)
option('frontend-cli',
  type: 'boolean',
  value: true,
  description: 'Enable CLI frontend',
)
option('wifi',
  type: 'boolean',
  value: false,
  description: 'Enable wifi support',
)
option('gdb-stub',
  type: 'boolean',
  value: false,
  description: 'Enable gdb stub',
)

=== tools/ds_tests/regs/arm7/Makefile ===
#---------------------------------------------------------------------------------
.SUFFIXES:
#---------------------------------------------------------------------------------
ifeq ($(strip $(DEVKITARM)),)
$(error "Please set DEVKITARM in your environment. export DEVKITARM=<path to>devkitARM")
endif

include $(DEVKITARM)/ds_rules

#---------------------------------------------------------------------------------
# BUILD is the directory where object files & intermediate files will be placed
# SOURCES is a list of directories containing source code
# INCLUDES is a list of directories containing extra header files
# DATA is a list of directories containing binary files
# all directories are relative to this makefile
#---------------------------------------------------------------------------------
BUILD		:=	build
SOURCES		:=	source  
INCLUDES	:=	include build
DATA		:=
 
#---------------------------------------------------------------------------------
# options for code generation
#---------------------------------------------------------------------------------
ARCH	:=	-mthumb-interwork

CFLAGS	:=	-g -Wall -O2\
		-mcpu=arm7tdmi -mtune=arm7tdmi -fomit-frame-pointer\
		-ffast-math \
		$(ARCH)

CFLAGS	+=	$(INCLUDE) -DARM7
CXXFLAGS	:=	$(CFLAGS) -fno-rtti -fno-exceptions -fno-rtti


ASFLAGS	:=	-g $(ARCH)
LDFLAGS	=	-specs=ds_arm7.specs -g $(ARCH) -Wl,-Map,$(notdir $*).map

LIBS	:=	-ldswifi7 -lmm7 -lnds7

#---------------------------------------------------------------------------------
# list of directories containing libraries, this must be the top level containing
# include and lib
#---------------------------------------------------------------------------------
LIBDIRS	:=	$(LIBNDS)
 
  
#---------------------------------------------------------------------------------
# no real need to edit anything past this point unless you need to add additional
# rules for different file extensions
#---------------------------------------------------------------------------------
ifneq ($(BUILD),$(notdir $(CURDIR)))
#---------------------------------------------------------------------------------
 
export ARM7BIN	:=	$(TOPDIR)/$(TARGET).arm7
export ARM7ELF	:=	$(CURDIR)/$(TARGET).arm7.elf
export DEPSDIR	:=	$(CURDIR)/$(BUILD)

export VPATH	:=	$(foreach dir,$(SOURCES),$(CURDIR)/$(dir))
 
CFILES		:=	$(foreach dir,$(SOURCES),$(notdir $(wildcard $(dir)/*.c)))
CPPFILES	:=	$(foreach dir,$(SOURCES),$(notdir $(wildcard $(dir)/*.cpp)))
SFILES		:=	$(foreach dir,$(SOURCES),$(notdir $(wildcard $(dir)/*.s)))
BINFILES	:=	$(foreach dir,$(DATA),$(notdir $(wildcard $(dir)/*.*)))
 
export OFILES	:=	$(addsuffix .o,$(BINFILES)) \
			$(CPPFILES:.cpp=.o) $(CFILES:.c=.o) $(SFILES:.s=.o)
 
export INCLUDE	:=	$(foreach dir,$(INCLUDES),-I$(CURDIR)/$(dir)) \
			$(foreach dir,$(LIBDIRS),-I$(dir)/include) \
			-I$(CURDIR)/$(BUILD)
 
export LIBPATHS	:=	$(foreach dir,$(LIBDIRS),-L$(dir)/lib)

#---------------------------------------------------------------------------------
# use CXX for linking C++ projects, CC for standard C
#---------------------------------------------------------------------------------
ifeq ($(strip $(CPPFILES)),)
#---------------------------------------------------------------------------------
	export LD	:=	$(CC)
#---------------------------------------------------------------------------------
else
#---------------------------------------------------------------------------------
	export LD	:=	$(CXX)
#---------------------------------------------------------------------------------
endif
#---------------------------------------------------------------------------------

.PHONY: $(BUILD) clean
 
#---------------------------------------------------------------------------------
$(BUILD):
	@[ -d $@ ] || mkdir -p $@
	@make --no-print-directory -C $(BUILD) -f $(CURDIR)/Makefile
 
#---------------------------------------------------------------------------------
clean:
	@echo clean ...
	@rm -fr $(BUILD) *.elf
 
 
#---------------------------------------------------------------------------------
else
 
DEPENDS	:=	$(OFILES:.o=.d)
 
#---------------------------------------------------------------------------------
# main targets
#---------------------------------------------------------------------------------
$(ARM7BIN)	:	$(ARM7ELF)
	@$(OBJCOPY) -O binary $< $@
	@echo built ... $(notdir $@)


$(ARM7ELF)	:	$(OFILES)
	@echo linking $(notdir $@)
	@$(LD)  $(LDFLAGS) $(OFILES) $(LIBPATHS) $(LIBS) -o $@


#---------------------------------------------------------------------------------
# you need a rule like this for each extension you use as binary data 
#---------------------------------------------------------------------------------
%.bin.o	:	%.bin
#---------------------------------------------------------------------------------
	@echo $(notdir $<)
	@$(bin2o)

-include $(DEPENDS)
 
#---------------------------------------------------------------------------------------
endif
#---------------------------------------------------------------------------------------

=== tools/ds_tests/regs/arm9/Makefile ===
#---------------------------------------------------------------------------------
.SUFFIXES:
#---------------------------------------------------------------------------------
ifeq ($(strip $(DEVKITARM)),)
$(error "Please set DEVKITARM in your environment. export DEVKITARM=<path to>devkitARM")
endif

include $(DEVKITARM)/ds_rules

#---------------------------------------------------------------------------------
# BUILD is the directory where object files & intermediate files will be placed
# SOURCES is a list of directories containing source code
# INCLUDES is a list of directories containing extra header files
# DATA is a list of directories containing binary files
# all directories are relative to this makefile
#---------------------------------------------------------------------------------
BUILD		:=	build
SOURCES		:=	source  
INCLUDES	:=	include
DATA		:=


#---------------------------------------------------------------------------------
# options for code generation
#---------------------------------------------------------------------------------
ARCH	:=	-mthumb -mthumb-interwork

CFLAGS	:=	-g -Wall -O2\
 			-march=armv5te -mtune=arm946e-s -fomit-frame-pointer\
			-ffast-math \
			$(ARCH)

CFLAGS	+=	$(INCLUDE) -DARM9
CXXFLAGS	:=	$(CFLAGS) -fno-rtti -fno-exceptions

ASFLAGS	:=	-g $(ARCH) -march=armv5te -mtune=arm946e-s

LDFLAGS	=	-specs=ds_arm9.specs -g $(ARCH) -Wl,-Map,$(notdir $*.map)

#---------------------------------------------------------------------------------
# any extra libraries we wish to link with the project
#---------------------------------------------------------------------------------
LIBS	:=	-lnds9
 
#---------------------------------------------------------------------------------
# list of directories containing libraries, this must be the top level containing
# include and lib
#---------------------------------------------------------------------------------
LIBDIRS	:=	$(LIBNDS)
 
#---------------------------------------------------------------------------------
# no real need to edit anything past this point unless you need to add additional
# rules for different file extensions
#---------------------------------------------------------------------------------
ifneq ($(BUILD),$(notdir $(CURDIR)))
#---------------------------------------------------------------------------------
 
export ARM9BIN	:=	$(TOPDIR)/$(TARGET).arm9
export ARM9ELF	:=	$(CURDIR)/$(TARGET).arm9.elf
export DEPSDIR := $(CURDIR)/$(BUILD)

export VPATH	:=	$(foreach dir,$(SOURCES),$(CURDIR)/$(dir)) \
					$(foreach dir,$(DATA),$(CURDIR)/$(dir))
 
CFILES		:=	$(foreach dir,$(SOURCES),$(notdir $(wildcard $(dir)/*.c)))
CPPFILES	:=	$(foreach dir,$(SOURCES),$(notdir $(wildcard $(dir)/*.cpp)))
SFILES		:=	$(foreach dir,$(SOURCES),$(notdir $(wildcard $(dir)/*.s)))
BINFILES	:=	$(foreach dir,$(DATA),$(notdir $(wildcard $(dir)/*.*)))
 
#---------------------------------------------------------------------------------
# use CXX for linking C++ projects, CC for standard C
#---------------------------------------------------------------------------------
ifeq ($(strip $(CPPFILES)),)
#---------------------------------------------------------------------------------
	export LD	:=	$(CC)
#---------------------------------------------------------------------------------
else
#---------------------------------------------------------------------------------
	export LD	:=	$(CXX)
#---------------------------------------------------------------------------------
endif
#---------------------------------------------------------------------------------

export OFILES	:=	$(addsuffix .o,$(BINFILES)) \
					$(CPPFILES:.cpp=.o) $(CFILES:.c=.o) $(SFILES:.s=.o)
 
export INCLUDE	:=	$(foreach dir,$(INCLUDES),-I$(CURDIR)/$(dir)) \
			$(foreach dir,$(LIBDIRS),-I$(dir)/include) \
			-I$(CURDIR)/$(BUILD)
 
export LIBPATHS	:=	$(foreach dir,$(LIBDIRS),-L$(dir)/lib)
 
.PHONY: $(BUILD) clean
 
#---------------------------------------------------------------------------------
$(BUILD):
	@[ -d $@ ] || mkdir -p $@
	@$(MAKE) --no-print-directory -C $(BUILD) -f $(CURDIR)/Makefile
 
#---------------------------------------------------------------------------------
clean:
	@echo clean ...
	@rm -fr $(BUILD) *.elf *.nds* *.bin 
 
 
#---------------------------------------------------------------------------------
else
 
#---------------------------------------------------------------------------------
# main targets
#---------------------------------------------------------------------------------
$(ARM9BIN)	:	$(ARM9ELF)
	@$(OBJCOPY) -O binary $< $@
	@echo built ... $(notdir $@)

$(ARM9ELF)	:	$(OFILES)
	@echo linking $(notdir $@)
	@$(LD)  $(LDFLAGS) $(OFILES) $(LIBPATHS) $(LIBS) -o $@

#---------------------------------------------------------------------------------
# you need a rule like this for each extension you use as binary data 
#---------------------------------------------------------------------------------
%.bin.o	:	%.bin
#---------------------------------------------------------------------------------
	@echo $(notdir $<)
	@$(bin2o)

-include $(DEPSDIR)/*.d
 
#---------------------------------------------------------------------------------------
endif
#---------------------------------------------------------------------------------------

=== tools/ds_tests/twltouch/arm7/Makefile ===
#---------------------------------------------------------------------------------
.SUFFIXES:
#---------------------------------------------------------------------------------
ifeq ($(strip $(DEVKITARM)),)
$(error "Please set DEVKITARM in your environment. export DEVKITARM=<path to>devkitARM")
endif

include $(DEVKITARM)/ds_rules

#---------------------------------------------------------------------------------
# BUILD is the directory where object files & intermediate files will be placed
# SOURCES is a list of directories containing source code
# INCLUDES is a list of directories containing extra header files
# DATA is a list of directories containing binary files
# all directories are relative to this makefile
#---------------------------------------------------------------------------------
BUILD		:=	build
SOURCES		:=	source  
INCLUDES	:=	include build
DATA		:=
 
DEFINES	:=	 
ifeq ($(USETWLSDMMC),1)
DEFINES	+=	-DUSETWLSDMMC
endif

#---------------------------------------------------------------------------------
# options for code generation
#---------------------------------------------------------------------------------
ARCH	:=	-mthumb-interwork

CFLAGS	:=	-g -Wall -O2\
		-mcpu=arm7tdmi -mtune=arm7tdmi -fomit-frame-pointer\
		-ffast-math \
		$(ARCH)

CFLAGS	+=	$(INCLUDE) -DARM7 $(DEFINES)
CXXFLAGS	:=	$(CFLAGS) -fno-rtti -fno-exceptions -fno-rtti


ASFLAGS	:=	-g $(ARCH)
LDFLAGS	=	-specs=ds_arm7.specs -g $(ARCH) -Wl,-Map,$(notdir $*).map

LIBS	:=	
ifeq ($(USETWLSDMMC),1)
LIBS	+=	-ltwlsdmmc7
endif
LIBS	+=	-ldswifi7 -lmm7 -lnds7

#---------------------------------------------------------------------------------
# list of directories containing libraries, this must be the top level containing
# include and lib
#---------------------------------------------------------------------------------
LIBDIRS	:=	$(LIBNDS)
 
  
#---------------------------------------------------------------------------------
# no real need to edit anything past this point unless you need to add additional
# rules for different file extensions
#---------------------------------------------------------------------------------
ifneq ($(BUILD),$(notdir $(CURDIR)))
#---------------------------------------------------------------------------------
 
export ARM7ELF	:=	$(CURDIR)/$(TARGET).elf
export DEPSDIR	:=	$(CURDIR)/$(BUILD)

export VPATH	:=	$(foreach dir,$(SOURCES),$(CURDIR)/$(dir))
 
CFILES		:=	$(foreach dir,$(SOURCES),$(notdir $(wildcard $(dir)/*.c)))
CPPFILES	:=	$(foreach dir,$(SOURCES),$(notdir $(wildcard $(dir)/*.cpp)))
SFILES		:=	$(foreach dir,$(SOURCES),$(notdir $(wildcard $(dir)/*.s)))
BINFILES	:=	$(foreach dir,$(DATA),$(notdir $(wildcard $(dir)/*.*)))
 
export OFILES	:=	$(addsuffix .o,$(BINFILES)) \
			$(CPPFILES:.cpp=.o) $(CFILES:.c=.o) $(SFILES:.s=.o)
 
export INCLUDE	:=	$(foreach dir,$(INCLUDES),-I$(CURDIR)/$(dir)) \
			$(foreach dir,$(LIBDIRS),-I$(dir)/include) \
			-I$(CURDIR)/$(BUILD)
 
export LIBPATHS	:=	$(foreach dir,$(LIBDIRS),-L$(dir)/lib)

#---------------------------------------------------------------------------------
# use CXX for linking C++ projects, CC for standard C
#---------------------------------------------------------------------------------
ifeq ($(strip $(CPPFILES)),)
#---------------------------------------------------------------------------------
	export LD	:=	$(CC)
#---------------------------------------------------------------------------------
else
#---------------------------------------------------------------------------------
	export LD	:=	$(CXX)
#---------------------------------------------------------------------------------
endif
#---------------------------------------------------------------------------------

.PHONY: $(BUILD) clean
 
#---------------------------------------------------------------------------------
$(BUILD):
	@[ -d $@ ] || mkdir -p $@
	@make --no-print-directory -C $(BUILD) -f $(CURDIR)/Makefile
 
#---------------------------------------------------------------------------------
clean:
	@echo clean ...
	@rm -fr $(BUILD) *.elf
 
 
#---------------------------------------------------------------------------------
else
 
DEPENDS	:=	$(OFILES:.o=.d)
 
#---------------------------------------------------------------------------------
# main targets
#---------------------------------------------------------------------------------
$(ARM7ELF)	:	$(OFILES)
	@echo linking $(notdir $@)
	@$(LD)  $(LDFLAGS) $(OFILES) $(LIBPATHS) $(LIBS) -o $@


#---------------------------------------------------------------------------------
# you need a rule like this for each extension you use as binary data 
#---------------------------------------------------------------------------------
%.bin.o	:	%.bin
#---------------------------------------------------------------------------------
	@echo $(notdir $<)
	@$(bin2o)

-include $(DEPENDS)
 
#---------------------------------------------------------------------------------------
endif
#---------------------------------------------------------------------------------------

=== tools/ds_tests/twltouch/arm9/Makefile ===
#---------------------------------------------------------------------------------
.SUFFIXES:
#---------------------------------------------------------------------------------
ifeq ($(strip $(DEVKITARM)),)
$(error "Please set DEVKITARM in your environment. export DEVKITARM=<path to>devkitARM")
endif

include $(DEVKITARM)/ds_rules

#---------------------------------------------------------------------------------
# BUILD is the directory where object files & intermediate files will be placed
# SOURCES is a list of directories containing source code
# INCLUDES is a list of directories containing extra header files
# DATA is a list of directories containing binary files
# all directories are relative to this makefile
#---------------------------------------------------------------------------------
BUILD		:=	build
SOURCES		:=	source  
INCLUDES	:=	include
DATA		:=


#---------------------------------------------------------------------------------
# options for code generation
#---------------------------------------------------------------------------------
ARCH	:=	-mthumb -mthumb-interwork

CFLAGS	:=	-g -Wall -O2\
 			-march=armv5te -mtune=arm946e-s -fomit-frame-pointer\
			-ffast-math \
			$(ARCH)

CFLAGS	+=	$(INCLUDE) -DARM9
CXXFLAGS	:=	$(CFLAGS) -fno-rtti -fno-exceptions

ASFLAGS	:=	-g $(ARCH) -march=armv5te -mtune=arm946e-s

LDFLAGS	=	-specs=ds_arm9.specs -g $(ARCH) -Wl,-Map,$(notdir $*.map)

#---------------------------------------------------------------------------------
# any extra libraries we wish to link with the project
#---------------------------------------------------------------------------------
LIBS	:=	-lnds9
 
#---------------------------------------------------------------------------------
# list of directories containing libraries, this must be the top level containing
# include and lib
#---------------------------------------------------------------------------------
LIBDIRS	:=	$(LIBNDS)
 
#---------------------------------------------------------------------------------
# no real need to edit anything past this point unless you need to add additional
# rules for different file extensions
#---------------------------------------------------------------------------------
ifneq ($(BUILD),$(notdir $(CURDIR)))
#---------------------------------------------------------------------------------
 
export ARM9ELF	:=	$(CURDIR)/$(TARGET).elf
export DEPSDIR := $(CURDIR)/$(BUILD)

export VPATH	:=	$(foreach dir,$(SOURCES),$(CURDIR)/$(dir)) \
					$(foreach dir,$(DATA),$(CURDIR)/$(dir))
 
CFILES		:=	$(foreach dir,$(SOURCES),$(notdir $(wildcard $(dir)/*.c)))
CPPFILES	:=	$(foreach dir,$(SOURCES),$(notdir $(wildcard $(dir)/*.cpp)))
SFILES		:=	$(foreach dir,$(SOURCES),$(notdir $(wildcard $(dir)/*.s)))
BINFILES	:=	$(foreach dir,$(DATA),$(notdir $(wildcard $(dir)/*.*)))
 
#---------------------------------------------------------------------------------
# use CXX for linking C++ projects, CC for standard C
#---------------------------------------------------------------------------------
ifeq ($(strip $(CPPFILES)),)
#---------------------------------------------------------------------------------
	export LD	:=	$(CC)
#---------------------------------------------------------------------------------
else
#---------------------------------------------------------------------------------
	export LD	:=	$(CXX)
#---------------------------------------------------------------------------------
endif
#---------------------------------------------------------------------------------

export OFILES	:=	$(addsuffix .o,$(BINFILES)) \
					$(CPPFILES:.cpp=.o) $(CFILES:.c=.o) $(SFILES:.s=.o)
 
export INCLUDE	:=	$(foreach dir,$(INCLUDES),-I$(CURDIR)/$(dir)) \
			$(foreach dir,$(LIBDIRS),-I$(dir)/include) \
			-I$(CURDIR)/$(BUILD)
 
export LIBPATHS	:=	$(foreach dir,$(LIBDIRS),-L$(dir)/lib)
 
.PHONY: $(BUILD) clean
 
#---------------------------------------------------------------------------------
$(BUILD):
	@[ -d $@ ] || mkdir -p $@
	@$(MAKE) --no-print-directory -C $(BUILD) -f $(CURDIR)/Makefile
 
#---------------------------------------------------------------------------------
clean:
	@echo clean ...
	@rm -fr $(BUILD) *.elf *.nds* *.bin 
 
 
#---------------------------------------------------------------------------------
else
 
#---------------------------------------------------------------------------------
# main targets
#---------------------------------------------------------------------------------
$(ARM9ELF)	:	$(OFILES)
	@echo linking $(notdir $@)
	@$(LD)  $(LDFLAGS) $(OFILES) $(LIBPATHS) $(LIBS) -o $@

#---------------------------------------------------------------------------------
# you need a rule like this for each extension you use as binary data 
#---------------------------------------------------------------------------------
%.bin.o	:	%.bin
#---------------------------------------------------------------------------------
	@echo $(notdir $<)
	@$(bin2o)

-include $(DEPSDIR)/*.d
 
#---------------------------------------------------------------------------------------
endif
#---------------------------------------------------------------------------------------

=== desmume/src/libretro-common/net/test/Makefile ===
TARGETS  = http_test net_ifinfo

LIBRETRO_COMM_DIR := ../..

INCFLAGS = -I$(LIBRETRO_COMM_DIR)/include

ifeq ($(DEBUG),1)
CFLAGS += -O0 -g
else
CFLAGS += -O2
endif
CFLAGS += -Wall -pedantic -std=gnu99

HTTP_TEST_C = \
				  $(LIBRETRO_COMM_DIR)/net/net_http.c \
				  net_http_test.c \
				  $(LIBRETRO_COMM_DIR)/net/net_compat.c \
				  $(LIBRETRO_COMM_DIR)/compat/compat_strl.c

HTTP_TEST_OBJS := $(HTTP_TEST_C:.c=.o)

NET_IFINFO_C = \
					$(LIBRETRO_COMM_DIR)/net/net_ifinfo.c \
					net_ifinfo_test.c

NET_IFINFO_OBJS := $(NET_IFINFO_C:.c=.o)

.PHONY: all clean

all: $(TARGETS)

%.o: %.c
	$(CC) $(INCFLAGS) $< -c $(CFLAGS) -o $@

http_test: $(HTTP_TEST_OBJS)
	$(CC) $(INCFLAGS) $(HTTP_TEST_OBJS) $(CFLAGS) -o $@

net_ifinfo: $(NET_IFINFO_OBJS)
	$(CC) $(INCFLAGS) $(NET_IFINFO_OBJS) $(CFLAGS) -o $@

clean:
	rm -rf $(TARGETS) $(HTTP_TEST_OBJS) $(NET_IFINFO_OBJS)

=== debian/changelog ===
desmume (0.9.13-4) unstable; urgency=medium

  * Team upload
  * Fix compiling on GCC for AArch64 (see #1100973)

 -- Bastian Germann <bage@debian.org>  Fri, 21 Mar 2025 12:52:08 +0100

desmume (0.9.13-3) unstable; urgency=medium

  * Team upload

  [ Patrice Duroux ]
  * Building without embedded tinyxml (Closes: #1082923)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 08 Feb 2025 14:20:14 +0100

desmume (0.9.13-2) unstable; urgency=medium

  * Team upload

  [ Gui-Yue ]
  * Fix undeclared on riscv64 (Closes: #1086345)

 -- Alexandre Detiste <tchet@debian.org>  Tue, 03 Dec 2024 22:06:14 +0100

desmume (0.9.13-1) unstable; urgency=medium

  * Team upload

  [ Alexandre Detiste ]
  * Import on Salsa
  * Import New upstream version 0.9.13

  [ Patrice Duroux ]
  * Update d/watch (version 4). (Closes: #1082585)
  * Switch to meson build.
  * Replace libSDL1 dependencies with libSDL2 (Closes: #1038187)
  * Refresh d/dirs.
  * Remove all d/patches.

 -- Alexandre Detiste <tchet@debian.org>  Sat, 28 Sep 2024 11:24:11 +0200

=== debian/control ===
Source: desmume
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Evgeni Golov <evgeni@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 meson,
 cmake,
 libglib2.0-dev,
 libsdl2-dev,
 libpcap-dev,
# libgtk-3-dev,
 libopenal-dev,
 libsoundtouch-dev,
 libtinyxml-dev
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://desmume.org/
Vcs-Git: https://salsa.debian.org/games-team/desmume.git
Vcs-Browser: https://salsa.debian.org/games-team/desmume

Package: desmume
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Nintendo DS emulator
 DeSmuME is a Nintendo DS emulator running homebrew demos and commercial games.
 .
 This package includes only the command line user interface desmume-cli.

#Package: desmume-gtk3
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Description: Nintendo DS emulator - GTK3 frontend
# DeSmuME is a Nintendo DS emulator running homebrew demos and commercial games.
# .
# This package includes the graphical interface.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,-z,defs -Wl,--as-needed
#export LDFLAGS
export DEB_CFLAGS_MAINT_APPEND = -Wno-implicit-function-declaration -Wno-int-conversion
export DEB_CXXFLAGS_MAINT_APPEND = -Wno-format-security

%:
	dh $@ --buildsystem=meson --sourcedirectory=desmume/src/frontend/posix

override_dh_auto_configure:
	dh_auto_configure -- --bindir=games -Dfrontend-gtk=false

override_dh_autoreconf:
	#rm desmume/src/frontend/posix/configure.ac
	#rm desmume/src/frontend/posix/Makefile.am

override_dh_clean:
	dh_clean -X desmume/src/frontend/interface/windows/SDL/include/SDL_config_macosx.h.orig

=== debian/watch ===
version=4
opts="uversionmangle=s/_/./g" \
https://github.com/TASEmulators/desmume/tags archive/refs/tags/release_([0-9_]+)@ARCHIVE_EXT@
